From aadf8e2d4b492739dcc27215cf7e1b8a4bc5afed Mon Sep 17 00:00:00 2001
From: Dave Cramer <davecramer@gmail.com>
Date: Mon, 17 Jun 2019 10:26:59 -0400
Subject: [PATCH 3/7] document new binary option for CREATE SUBSCRIPTION
 document addition of binary column to pg_subscription

---
 doc/src/sgml/catalogs.sgml                |  7 +++++++
 doc/src/sgml/ref/alter_subscription.sgml  |  4 ++--
 doc/src/sgml/ref/create_subscription.sgml | 11 +++++++++++
 3 files changed, 20 insertions(+), 2 deletions(-)

diff --git a/doc/src/sgml/catalogs.sgml b/doc/src/sgml/catalogs.sgml
index 55694c4368..a19bb11674 100644
--- a/doc/src/sgml/catalogs.sgml
+++ b/doc/src/sgml/catalogs.sgml
@@ -6763,6 +6763,13 @@ SCRAM-SHA-256$<replaceable>&lt;iteration count&gt;</replaceable>:<replaceable>&l
       <entry>If true, the subscription is enabled and should be replicating.</entry>
      </row>
 
+    <row>
+      <entry><structfield>subbinary</structfield></entry>
+      <entry><type>bool</type></entry>
+      <entry></entry>
+      <entry>If true, the subscription will request that the publisher send base types in binary format.</entry>
+     </row>
+
      <row>
       <entry><structfield>subsynccommit</structfield></entry>
       <entry><type>text</type></entry>
diff --git a/doc/src/sgml/ref/alter_subscription.sgml b/doc/src/sgml/ref/alter_subscription.sgml
index 6dfb2e4d3e..cc2ff0363f 100644
--- a/doc/src/sgml/ref/alter_subscription.sgml
+++ b/doc/src/sgml/ref/alter_subscription.sgml
@@ -163,8 +163,8 @@ ALTER SUBSCRIPTION <replaceable class="parameter">name</replaceable> RENAME TO <
      <para>
       This clause alters parameters originally set by
       <xref linkend="sql-createsubscription"/>.  See there for more
-      information.  The allowed options are <literal>slot_name</literal> and
-      <literal>synchronous_commit</literal>
+      information.  The allowed options are <literal>slot_name</literal>, 
+      <literal>synchronous_commit</literal> and <literal>binary</literal>
      </para>
     </listitem>
    </varlistentry>
diff --git a/doc/src/sgml/ref/create_subscription.sgml b/doc/src/sgml/ref/create_subscription.sgml
index 1a90c244fb..1059370a2c 100644
--- a/doc/src/sgml/ref/create_subscription.sgml
+++ b/doc/src/sgml/ref/create_subscription.sgml
@@ -128,6 +128,17 @@ CREATE SUBSCRIPTION <replaceable class="parameter">subscription_name</replaceabl
         </listitem>
        </varlistentry>
 
+       <varlistentry>
+        <term><literal>binary</literal> (<type>boolean</type>)</term>
+        <listitem>
+         <para>
+          Specifies whether the subscription will request the publisher send
+          the base types in binary or not.  The default
+          is <literal>false</literal>.
+         </para>
+        </listitem>
+       </varlistentry>
+
        <varlistentry>
         <term><literal>slot_name</literal> (<type>string</type>)</term>
         <listitem>
-- 
2.20.1 (Apple Git-117)

